1 # Makefile.in generated by automake 1.11.6 from Makefile.am.
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011 Free Software
7 # This Makefile.in is free software; the Free Software Foundation
8 # gives unlimited permission to copy and/or distribute it,
9 # with or without modifications, as long as this notice is preserved.
11 # This program is distributed in the hope that it will be useful,
12 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
13 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
25 echo
'am--echo: ; @echo "AM" OK' |
$(MAKE
) -f
- 2>/dev
/null \
26 | grep
'^AM OK$$' >/dev
/null || am__dry
=yes
;; \
28 for am__flg in
$$MAKEFLAGS; do \
31 *n
*) am__dry
=yes
; break
;; \
35 test $$am__dry = yes
; \
37 pkgdatadir
= $(datadir)/@PACKAGE@
38 pkgincludedir
= $(includedir)/@PACKAGE@
39 pkglibdir
= $(libdir)/@PACKAGE@
40 pkglibexecdir
= $(libexecdir
)/@PACKAGE@
41 am__cd
= CDPATH
="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
42 install_sh_DATA
= $(install_sh
) -c
-m
644
43 install_sh_PROGRAM
= $(install_sh
) -c
44 install_sh_SCRIPT
= $(install_sh
) -c
45 INSTALL_HEADER
= $(INSTALL_DATA
)
46 transform
= $(program_transform_name
)
53 build_triplet
= @build@
55 target_triplet
= @target@
56 @ARCH_ARM_TRUE@am__append_1
= hwcap.
cc
57 @ARCH_X86_TRUE@am__append_2
= x86_sse.
cc x86_avx.
cc
58 @ARCH_FUTEX_TRUE@am__append_3
= futex.
cc
60 DIST_COMMON
= ChangeLog
$(srcdir)/Makefile.in
$(srcdir)/Makefile.am \
61 $(top_srcdir
)/configure
$(am__configure_deps
) \
62 $(srcdir)/config.h.in
$(srcdir)/..
/mkinstalldirs \
63 $(srcdir)/libitm.spec.in
$(srcdir)/..
/depcomp
64 ACLOCAL_M4
= $(top_srcdir
)/aclocal.m4
65 am__aclocal_m4_deps
= $(top_srcdir
)/..
/config
/acx.m4 \
66 $(top_srcdir
)/..
/config
/asmcfi.m4 \
67 $(top_srcdir
)/..
/config
/depstand.m4 \
68 $(top_srcdir
)/..
/config
/enable.m4 \
69 $(top_srcdir
)/..
/config
/futex.m4 \
70 $(top_srcdir
)/..
/config
/hwcaps.m4 \
71 $(top_srcdir
)/..
/config
/lead-dot.m4 \
72 $(top_srcdir
)/..
/config
/mmap.m4 \
73 $(top_srcdir
)/..
/config
/multi.m4 \
74 $(top_srcdir
)/..
/config
/override.m4 \
75 $(top_srcdir
)/..
/config
/stdint.m4 \
76 $(top_srcdir
)/..
/config
/tls.m4 \
77 $(top_srcdir
)/..
/config
/weakref.m4 \
78 $(top_srcdir
)/..
/ltoptions.m4
$(top_srcdir
)/..
/ltsugar.m4 \
79 $(top_srcdir
)/..
/ltversion.m4
$(top_srcdir
)/..
/lt~obsolete.m4 \
80 $(top_srcdir
)/acinclude.m4
$(top_srcdir
)/..
/libtool.m4 \
81 $(top_srcdir
)/..
/config
/cet.m4
$(top_srcdir
)/configure.ac
82 am__configure_deps
= $(am__aclocal_m4_deps
) $(CONFIGURE_DEPENDENCIES
) \
84 am__CONFIG_DISTCLEAN_FILES
= config.status config.cache config.log \
85 configure.lineno config.status.lineno
86 mkinstalldirs
= $(SHELL
) $(top_srcdir
)/..
/mkinstalldirs
87 CONFIG_HEADER
= config.h
88 CONFIG_CLEAN_FILES
= libitm.spec
89 CONFIG_CLEAN_VPATH_FILES
=
90 am__vpath_adj_setup
= srcdirstrip
=`echo "$(srcdir)" | sed 's|.|.|g'`;
91 am__vpath_adj
= case
$$p in \
92 $(srcdir)/*) f
=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
95 am__strip_dir
= f
=`echo $$p | sed -e 's|^.*/||'`;
97 am__nobase_strip_setup
= \
98 srcdirstrip
=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
100 for p in
$$list; do echo
"$$p"; done | sed
-e
"s|$$srcdirstrip/||"
101 am__nobase_list
= $(am__nobase_strip_setup
); \
102 for p in
$$list; do echo
"$$p $$p"; done | \
103 sed
"s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
104 $(AWK
) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
105 if (++n[$$2] == $(am__install_max)) \
106 { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
107 END { for (dir in files) print dir, files[dir] }'
109 sed
'$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
110 sed
'$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
111 am__uninstall_files_from_dir
= { \
113 ||
{ test ! -d
"$$dir" && test ! -f
"$$dir" && test ! -r
"$$dir"; } \
114 ||
{ echo
" ( cd '$$dir' && rm -f" $$files ")"; \
115 $(am__cd
) "$$dir" && rm -f
$$files; }; \
117 am__installdirs
= "$(DESTDIR)$(toolexeclibdir)" "$(DESTDIR)$(infodir)" \
118 "$(DESTDIR)$(toolexeclibdir)"
119 LTLIBRARIES
= $(toolexeclib_LTLIBRARIES
)
121 @ARCH_ARM_TRUE@am__objects_1
= hwcap.lo
122 @ARCH_X86_TRUE@am__objects_2
= x86_sse.lo x86_avx.lo
123 @ARCH_FUTEX_TRUE@am__objects_3
= futex.lo
124 am_libitm_la_OBJECTS
= aatree.lo alloc.lo alloc_c.lo alloc_cpp.lo \
125 barrier.lo beginend.lo clone.lo eh_cpp.lo local.lo query.lo \
126 retry.lo rwlock.lo useraction.lo util.lo sjlj.lo tls.lo \
127 method-serial.lo method-gl.lo method-ml.lo
$(am__objects_1
) \
128 $(am__objects_2
) $(am__objects_3
)
129 libitm_la_OBJECTS
= $(am_libitm_la_OBJECTS
)
130 DEFAULT_INCLUDES
= -I.@am__isrc@
131 depcomp
= $(SHELL
) $(top_srcdir
)/..
/depcomp
132 am__depfiles_maybe
= depfiles
134 CPPASCOMPILE
= $(CCAS
) $(DEFS
) $(DEFAULT_INCLUDES
) $(INCLUDES
) \
135 $(AM_CPPFLAGS
) $(CPPFLAGS
) $(AM_CCASFLAGS
) $(CCASFLAGS
)
136 LTCPPASCOMPILE
= $(LIBTOOL
) $(AM_LIBTOOLFLAGS
) $(LIBTOOLFLAGS
) \
137 --mode
=compile
$(CCAS
) $(DEFS
) $(DEFAULT_INCLUDES
) $(INCLUDES
) \
138 $(AM_CPPFLAGS
) $(CPPFLAGS
) $(AM_CCASFLAGS
) $(CCASFLAGS
)
139 CXXCOMPILE
= $(CXX
) $(DEFS
) $(DEFAULT_INCLUDES
) $(INCLUDES
) \
140 $(AM_CPPFLAGS
) $(CPPFLAGS
) $(AM_CXXFLAGS
) $(CXXFLAGS
)
141 LTCXXCOMPILE
= $(LIBTOOL
) --tag
=CXX
$(AM_LIBTOOLFLAGS
) $(LIBTOOLFLAGS
) \
142 --mode
=compile
$(CXX
) $(DEFS
) $(DEFAULT_INCLUDES
) $(INCLUDES
) \
143 $(AM_CPPFLAGS
) $(CPPFLAGS
) $(AM_CXXFLAGS
) $(CXXFLAGS
)
145 CXXLINK
= $(LIBTOOL
) --tag
=CXX
$(AM_LIBTOOLFLAGS
) $(LIBTOOLFLAGS
) \
146 --mode
=link
$(CXXLD
) $(AM_CXXFLAGS
) $(CXXFLAGS
) $(AM_LDFLAGS
) \
148 COMPILE
= $(CC
) $(DEFS
) $(DEFAULT_INCLUDES
) $(INCLUDES
) $(AM_CPPFLAGS
) \
149 $(CPPFLAGS
) $(AM_CFLAGS
) $(CFLAGS
)
150 LTCOMPILE
= $(LIBTOOL
) --tag
=CC
$(AM_LIBTOOLFLAGS
) $(LIBTOOLFLAGS
) \
151 --mode
=compile
$(CC
) $(DEFS
) $(DEFAULT_INCLUDES
) $(INCLUDES
) \
152 $(AM_CPPFLAGS
) $(CPPFLAGS
) $(AM_CFLAGS
) $(CFLAGS
)
154 LINK
= $(LIBTOOL
) --tag
=CC
$(AM_LIBTOOLFLAGS
) $(LIBTOOLFLAGS
) \
155 --mode
=link
$(CCLD
) $(AM_CFLAGS
) $(CFLAGS
) $(AM_LDFLAGS
) \
157 SOURCES
= $(libitm_la_SOURCES
)
164 INFO_DEPS
= libitm.
info
165 am__TEXINFO_TEX_DIR
= $(srcdir)/..
/gcc
/doc
/include
170 TEXINFOS
= libitm.texi
172 TEXI2PDF
= $(TEXI2DVI
) --pdf
--batch
173 MAKEINFOHTML
= $(MAKEINFO
) --html
174 AM_MAKEINFOHTMLFLAGS
= $(AM_MAKEINFOFLAGS
)
176 RECURSIVE_TARGETS
= all-recursive check-recursive dvi-recursive \
177 html-recursive info-recursive install-data-recursive \
178 install-dvi-recursive install-exec-recursive \
179 install-html-recursive install-info-recursive \
180 install-pdf-recursive install-ps-recursive install-recursive \
181 installcheck-recursive installdirs-recursive pdf-recursive \
182 ps-recursive uninstall-recursive
183 am__can_run_installinfo
= \
184 case
$$AM_UPDATE_INFO_DIR in \
186 *) (install-info
--version
) >/dev
/null
2>&1;; \
188 HEADERS
= $(nodist_toolexeclib_HEADERS
)
189 RECURSIVE_CLEAN_TARGETS
= mostlyclean-recursive clean-recursive \
190 distclean-recursive maintainer-clean-recursive
191 AM_RECURSIVE_TARGETS
= $(RECURSIVE_TARGETS
:-recursive
=) \
192 $(RECURSIVE_CLEAN_TARGETS
:-recursive
=) tags TAGS ctags CTAGS
195 DIST_SUBDIRS
= $(SUBDIRS
)
199 AUTOCONF
= @AUTOCONF@
200 AUTOHEADER
= @AUTOHEADER@
201 AUTOMAKE
= @AUTOMAKE@
205 CCASDEPMODE
= @CCASDEPMODE@
206 CCASFLAGS
= @CCASFLAGS@
207 CCDEPMODE
= @CCDEPMODE@
210 CPPFLAGS
= @CPPFLAGS@
213 CXXDEPMODE
= @CXXDEPMODE@
214 CXXFLAGS
= @CXXFLAGS@
215 CYGPATH_W
= @CYGPATH_W@
218 DSYMUTIL
= @DSYMUTIL@
227 HWCAP_LDFLAGS
= @HWCAP_LDFLAGS@
229 INSTALL_DATA
= @INSTALL_DATA@
230 INSTALL_PROGRAM
= @INSTALL_PROGRAM@
231 INSTALL_SCRIPT
= @INSTALL_SCRIPT@
232 INSTALL_STRIP_PROGRAM
= @INSTALL_STRIP_PROGRAM@
240 LTLIBOBJS
= @LTLIBOBJS@
242 MAKEINFO
= @MAKEINFO@
248 OPT_LDFLAGS
= @OPT_LDFLAGS@
252 PACKAGE_BUGREPORT
= @PACKAGE_BUGREPORT@
253 PACKAGE_NAME
= @PACKAGE_NAME@
254 PACKAGE_STRING
= @PACKAGE_STRING@
255 PACKAGE_TARNAME
= @PACKAGE_TARNAME@
256 PACKAGE_URL
= @PACKAGE_URL@
257 PACKAGE_VERSION
= @PACKAGE_VERSION@
258 PATH_SEPARATOR
= @PATH_SEPARATOR@
261 SECTION_LDFLAGS
= @SECTION_LDFLAGS@
263 SET_MAKE
= @SET_MAKE@
268 XLDFLAGS
= @XLDFLAGS@
269 abs_builddir
= @abs_builddir@
270 abs_srcdir
= @abs_srcdir@
271 abs_top_builddir
= @abs_top_builddir@
272 abs_top_srcdir
= @abs_top_srcdir@
273 ac_ct_CC
= @ac_ct_CC@
274 ac_ct_CXX
= @ac_ct_CXX@
275 ac_ct_DUMPBIN
= @ac_ct_DUMPBIN@
276 am__include
= @am__include@
277 am__leading_dot
= @am__leading_dot@
278 am__quote
= @am__quote@
280 am__untar
= @am__untar@
283 build_alias
= @build_alias@
284 build_cpu
= @build_cpu@
285 build_os
= @build_os@
286 build_vendor
= @build_vendor@
287 builddir
= @builddir@
288 config_path
= @config_path@
290 datarootdir
= @datarootdir@
293 enable_shared
= @enable_shared@
294 enable_static
= @enable_static@
295 exec_prefix = @
exec_prefix@
296 get_gcc_base_ver
= @get_gcc_base_ver@
298 host_alias
= @host_alias@
299 host_cpu
= @host_cpu@
301 host_vendor
= @host_vendor@
303 includedir = @
includedir@
305 install_sh
= @install_sh@
307 libexecdir
= @libexecdir@
308 libtool_VERSION
= @libtool_VERSION@
309 link_itm
= @link_itm@
310 localedir
= @localedir@
311 localstatedir
= @localstatedir@
314 multi_basedir
= @multi_basedir@
315 oldincludedir = @
oldincludedir@
318 program_transform_name
= @program_transform_name@
321 sharedstatedir
= @sharedstatedir@
323 sysconfdir
= @sysconfdir@
325 target_alias
= @target_alias@
326 target_cpu
= @target_cpu@
327 target_os
= @target_os@
328 target_vendor
= @target_vendor@
329 toolexecdir
= @toolexecdir@
330 toolexeclibdir
= @toolexeclibdir@
331 top_build_prefix
= @top_build_prefix@
332 top_builddir
= @top_builddir@
333 top_srcdir
= @top_srcdir@
334 ACLOCAL_AMFLAGS
= -I ..
-I ..
/config
336 gcc_version
:= $(shell @get_gcc_base_ver@
$(top_srcdir
)/..
/gcc
/BASE-VER
)
337 abi_version
= -fabi-version
=4
338 search_path
= $(addprefix $(top_srcdir
)/config
/, $(config_path
)) $(top_srcdir
)
339 fincludedir
= $(libdir)/gcc
/$(target_alias
)/$(gcc_version
)/finclude
340 libsubincludedir
= $(libdir)/gcc
/$(target_alias
)/$(gcc_version
)/include
341 AM_CPPFLAGS
= $(addprefix -I
, $(search_path
))
342 AM_CFLAGS
= $(XCFLAGS
)
343 AM_CXXFLAGS
= $(XCFLAGS
) -std
=gnu
++0x
-funwind-tables
-fno-exceptions \
344 -fno-rtti
$(abi_version
)
346 AM_CCASFLAGS
= $(XCFLAGS
)
347 AM_LDFLAGS
= $(XLDFLAGS
) $(SECTION_LDFLAGS
) $(OPT_LDFLAGS
) $(HWCAP_LDFLAGS
)
348 toolexeclib_LTLIBRARIES
= libitm.la
349 nodist_toolexeclib_HEADERS
= libitm.spec
350 @LIBITM_BUILD_VERSIONED_SHLIB_FALSE@libitm_version_script
=
351 @LIBITM_BUILD_VERSIONED_SHLIB_GNU_TRUE@@LIBITM_BUILD_VERSIONED_SHLIB_TRUE@libitm_version_script
= -Wl
,--version-script
,$(top_srcdir
)/libitm.map
352 @LIBITM_BUILD_VERSIONED_SHLIB_SUN_TRUE@@LIBITM_BUILD_VERSIONED_SHLIB_TRUE@libitm_version_script
= -Wl
,-M
,libitm.map-sun
353 @LIBITM_BUILD_VERSIONED_SHLIB_FALSE@libitm_version_dep
=
354 @LIBITM_BUILD_VERSIONED_SHLIB_GNU_TRUE@@LIBITM_BUILD_VERSIONED_SHLIB_TRUE@libitm_version_dep
= $(top_srcdir
)/libitm.map
355 @LIBITM_BUILD_VERSIONED_SHLIB_SUN_TRUE@@LIBITM_BUILD_VERSIONED_SHLIB_TRUE@libitm_version_dep
= libitm.map-sun
356 libitm_version_info
= -version-info
$(libtool_VERSION
)
358 # Force link with C, not C++. For now, while we're using C++ we don't
359 # want or need libstdc++.
360 libitm_la_DEPENDENCIES
= $(libitm_version_dep
)
361 libitm_la_LINK
= $(LINK
) $(libitm_la_LDFLAGS
)
362 libitm_la_LDFLAGS
= $(libitm_version_info
) $(libitm_version_script
)
363 libitm_la_SOURCES
= aatree.
cc alloc.
cc alloc_c.
cc alloc_cpp.
cc \
364 barrier.
cc beginend.
cc clone.
cc eh_cpp.
cc local.
cc query.
cc \
365 retry.
cc rwlock.
cc useraction.
cc util.
cc sjlj.S tls.
cc \
366 method-serial.
cc method-gl.
cc method-ml.
cc $(am__append_1
) \
367 $(am__append_2
) $(am__append_3
)
369 # Automake Documentation:
370 # If your package has Texinfo files in many directories, you can use the
371 # variable TEXINFO_TEX to tell Automake where to find the canonical
372 # `texinfo.tex' for your package. The value of this variable should be
373 # the relative path from the current `Makefile.am' to `texinfo.tex'.
374 TEXINFO_TEX
= ..
/gcc
/doc
/include/texinfo.
tex
376 # Defines info, dvi, pdf and html targets
377 MAKEINFOFLAGS
= -I
$(srcdir)/..
/gcc
/doc
/include
378 info_TEXINFOS
= libitm.texi
379 @GENINSRC_FALSE@STAMP_GENINSRC
=
381 # AM_CONDITIONAL on configure option --generated-files-in-srcdir
382 @GENINSRC_TRUE@STAMP_GENINSRC
= stamp-geninsrc
383 @BUILD_INFO_FALSE@STAMP_BUILD_INFO
=
385 # AM_CONDITIONAL on configure check ACX_CHECK_PROG_VER([MAKEINFO])
386 @BUILD_INFO_TRUE@STAMP_BUILD_INFO
= stamp-build-info
387 CLEANFILES
= $(STAMP_GENINSRC
) $(STAMP_BUILD_INFO
) libitm.
info
388 MAINTAINERCLEANFILES
= $(srcdir)/libitm.
info
390 $(MAKE
) $(AM_MAKEFLAGS
) all-recursive
393 .SUFFIXES
: .S .
cc .
dvi .lo .o .obj .ps
394 am--refresh
: Makefile
396 $(srcdir)/Makefile.in
: @MAINTAINER_MODE_TRUE@
$(srcdir)/Makefile.am
$(am__configure_deps
)
398 case
'$(am__configure_deps)' in \
400 echo
' cd $(srcdir) && $(AUTOMAKE) --foreign'; \
401 $(am__cd
) $(srcdir) && $(AUTOMAKE
) --foreign \
406 echo
' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \
407 $(am__cd
) $(top_srcdir
) && \
408 $(AUTOMAKE
) --foreign Makefile
410 Makefile
: $(srcdir)/Makefile.in
$(top_builddir
)/config.status
413 echo
' $(SHELL) ./config.status'; \
414 $(SHELL
) .
/config.status
;; \
416 echo
' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
417 cd
$(top_builddir
) && $(SHELL
) .
/config.status
$@
$(am__depfiles_maybe
);; \
420 $(top_builddir
)/config.status
: $(top_srcdir
)/configure
$(CONFIG_STATUS_DEPENDENCIES
)
421 $(SHELL
) .
/config.status
--recheck
423 $(top_srcdir
)/configure
: @MAINTAINER_MODE_TRUE@
$(am__configure_deps
)
424 $(am__cd
) $(srcdir) && $(AUTOCONF
)
425 $(ACLOCAL_M4
): @MAINTAINER_MODE_TRUE@
$(am__aclocal_m4_deps
)
426 $(am__cd
) $(srcdir) && $(ACLOCAL
) $(ACLOCAL_AMFLAGS
)
427 $(am__aclocal_m4_deps
):
430 @if
test ! -f
$@
; then
rm -f stamp-h1
; else :; fi
431 @if
test ! -f
$@
; then
$(MAKE
) $(AM_MAKEFLAGS
) stamp-h1
; else :; fi
433 stamp-h1
: $(srcdir)/config.h.in
$(top_builddir
)/config.status
435 cd
$(top_builddir
) && $(SHELL
) .
/config.status config.h
436 $(srcdir)/config.h.in
: @MAINTAINER_MODE_TRUE@
$(am__configure_deps
)
437 ($(am__cd
) $(top_srcdir
) && $(AUTOHEADER
))
442 -rm -f config.h stamp-h1
443 libitm.spec
: $(top_builddir
)/config.status
$(srcdir)/libitm.spec.in
444 cd
$(top_builddir
) && $(SHELL
) .
/config.status
$@
445 install-toolexeclibLTLIBRARIES
: $(toolexeclib_LTLIBRARIES
)
447 @list
='$(toolexeclib_LTLIBRARIES)'; test -n
"$(toolexeclibdir)" || list
=; \
448 list2
=; for p in
$$list; do \
449 if
test -f
$$p; then \
450 list2
="$$list2 $$p"; \
453 test -z
"$$list2" ||
{ \
454 echo
" $(MKDIR_P) '$(DESTDIR)$(toolexeclibdir)'"; \
455 $(MKDIR_P
) "$(DESTDIR)$(toolexeclibdir)" || exit
1; \
456 echo
" $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(toolexeclibdir)'"; \
457 $(LIBTOOL
) $(AM_LIBTOOLFLAGS
) $(LIBTOOLFLAGS
) --mode
=install $(INSTALL
) $(INSTALL_STRIP_FLAG
) $$list2 "$(DESTDIR)$(toolexeclibdir)"; \
460 uninstall-toolexeclibLTLIBRARIES
:
462 @list
='$(toolexeclib_LTLIBRARIES)'; test -n
"$(toolexeclibdir)" || list
=; \
463 for p in
$$list; do \
465 echo
" $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(toolexeclibdir)/$$f'"; \
466 $(LIBTOOL
) $(AM_LIBTOOLFLAGS
) $(LIBTOOLFLAGS
) --mode
=uninstall rm -f
"$(DESTDIR)$(toolexeclibdir)/$$f"; \
469 clean-toolexeclibLTLIBRARIES
:
470 -test -z
"$(toolexeclib_LTLIBRARIES)" ||
rm -f
$(toolexeclib_LTLIBRARIES
)
471 @list
='$(toolexeclib_LTLIBRARIES)'; for p in
$$list; do \
472 dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
473 test "$$dir" != "$$p" ||
dir=.
; \
474 echo
"rm -f \"$${dir}/so_locations\""; \
475 rm -f
"$${dir}/so_locations"; \
477 libitm.la
: $(libitm_la_OBJECTS
) $(libitm_la_DEPENDENCIES
) $(EXTRA_libitm_la_DEPENDENCIES
)
478 $(libitm_la_LINK
) -rpath
$(toolexeclibdir
) $(libitm_la_OBJECTS
) $(libitm_la_LIBADD
) $(LIBS
)
486 @AMDEP_TRUE@@am__include@ @am__quote@.
/$(DEPDIR
)/aatree.Plo@am__quote@
487 @AMDEP_TRUE@@am__include@ @am__quote@.
/$(DEPDIR
)/alloc.Plo@am__quote@
488 @AMDEP_TRUE@@am__include@ @am__quote@.
/$(DEPDIR
)/alloc_c.Plo@am__quote@
489 @AMDEP_TRUE@@am__include@ @am__quote@.
/$(DEPDIR
)/alloc_cpp.Plo@am__quote@
490 @AMDEP_TRUE@@am__include@ @am__quote@.
/$(DEPDIR
)/barrier.Plo@am__quote@
491 @AMDEP_TRUE@@am__include@ @am__quote@.
/$(DEPDIR
)/beginend.Plo@am__quote@
492 @AMDEP_TRUE@@am__include@ @am__quote@.
/$(DEPDIR
)/clone.Plo@am__quote@
493 @AMDEP_TRUE@@am__include@ @am__quote@.
/$(DEPDIR
)/eh_cpp.Plo@am__quote@
494 @AMDEP_TRUE@@am__include@ @am__quote@.
/$(DEPDIR
)/futex.Plo@am__quote@
495 @AMDEP_TRUE@@am__include@ @am__quote@.
/$(DEPDIR
)/hwcap.Plo@am__quote@
496 @AMDEP_TRUE@@am__include@ @am__quote@.
/$(DEPDIR
)/local.Plo@am__quote@
497 @AMDEP_TRUE@@am__include@ @am__quote@.
/$(DEPDIR
)/method-gl.Plo@am__quote@
498 @AMDEP_TRUE@@am__include@ @am__quote@.
/$(DEPDIR
)/method-ml.Plo@am__quote@
499 @AMDEP_TRUE@@am__include@ @am__quote@.
/$(DEPDIR
)/method-serial.Plo@am__quote@
500 @AMDEP_TRUE@@am__include@ @am__quote@.
/$(DEPDIR
)/query.Plo@am__quote@
501 @AMDEP_TRUE@@am__include@ @am__quote@.
/$(DEPDIR
)/retry.Plo@am__quote@
502 @AMDEP_TRUE@@am__include@ @am__quote@.
/$(DEPDIR
)/rwlock.Plo@am__quote@
503 @AMDEP_TRUE@@am__include@ @am__quote@.
/$(DEPDIR
)/sjlj.Plo@am__quote@
504 @AMDEP_TRUE@@am__include@ @am__quote@.
/$(DEPDIR
)/tls.Plo@am__quote@
505 @AMDEP_TRUE@@am__include@ @am__quote@.
/$(DEPDIR
)/useraction.Plo@am__quote@
506 @AMDEP_TRUE@@am__include@ @am__quote@.
/$(DEPDIR
)/util.Plo@am__quote@
507 @AMDEP_TRUE@@am__include@ @am__quote@.
/$(DEPDIR
)/x86_avx.Plo@am__quote@
508 @AMDEP_TRUE@@am__include@ @am__quote@.
/$(DEPDIR
)/x86_sse.Plo@am__quote@
511 @am__fastdepCCAS_TRUE@
$(CPPASCOMPILE
) -MT
$@
-MD
-MP
-MF
$(DEPDIR
)/$*.Tpo
-c
-o
$@
$<
512 @am__fastdepCCAS_TRUE@
$(am__mv
) $(DEPDIR
)/$*.Tpo
$(DEPDIR
)/$*.Po
513 @AMDEP_TRUE@@am__fastdepCCAS_FALSE@ source
='$<' object
='$@' libtool
=no @AMDEPBACKSLASH@
514 @AMDEP_TRUE@@am__fastdepCCAS_FALSE@ DEPDIR
=$(DEPDIR
) $(CCASDEPMODE
) $(depcomp
) @AMDEPBACKSLASH@
515 @am__fastdepCCAS_FALSE@
$(CPPASCOMPILE
) -c
-o
$@
$<
518 @am__fastdepCCAS_TRUE@
$(CPPASCOMPILE
) -MT
$@
-MD
-MP
-MF
$(DEPDIR
)/$*.Tpo
-c
-o
$@
`$(CYGPATH_W) '$<'`
519 @am__fastdepCCAS_TRUE@
$(am__mv
) $(DEPDIR
)/$*.Tpo
$(DEPDIR
)/$*.Po
520 @AMDEP_TRUE@@am__fastdepCCAS_FALSE@ source
='$<' object
='$@' libtool
=no @AMDEPBACKSLASH@
521 @AMDEP_TRUE@@am__fastdepCCAS_FALSE@ DEPDIR
=$(DEPDIR
) $(CCASDEPMODE
) $(depcomp
) @AMDEPBACKSLASH@
522 @am__fastdepCCAS_FALSE@
$(CPPASCOMPILE
) -c
-o
$@
`$(CYGPATH_W) '$<'`
525 @am__fastdepCCAS_TRUE@
$(LTCPPASCOMPILE
) -MT
$@
-MD
-MP
-MF
$(DEPDIR
)/$*.Tpo
-c
-o
$@
$<
526 @am__fastdepCCAS_TRUE@
$(am__mv
) $(DEPDIR
)/$*.Tpo
$(DEPDIR
)/$*.Plo
527 @AMDEP_TRUE@@am__fastdepCCAS_FALSE@ source
='$<' object
='$@' libtool
=yes @AMDEPBACKSLASH@
528 @AMDEP_TRUE@@am__fastdepCCAS_FALSE@ DEPDIR
=$(DEPDIR
) $(CCASDEPMODE
) $(depcomp
) @AMDEPBACKSLASH@
529 @am__fastdepCCAS_FALSE@
$(LTCPPASCOMPILE
) -c
-o
$@
$<
532 @am__fastdepCXX_TRUE@
$(CXXCOMPILE
) -MT
$@
-MD
-MP
-MF
$(DEPDIR
)/$*.Tpo
-c
-o
$@
$<
533 @am__fastdepCXX_TRUE@
$(am__mv
) $(DEPDIR
)/$*.Tpo
$(DEPDIR
)/$*.Po
534 @AMDEP_TRUE@@am__fastdepCXX_FALSE@ source
='$<' object
='$@' libtool
=no @AMDEPBACKSLASH@
535 @AMDEP_TRUE@@am__fastdepCXX_FALSE@ DEPDIR
=$(DEPDIR
) $(CXXDEPMODE
) $(depcomp
) @AMDEPBACKSLASH@
536 @am__fastdepCXX_FALSE@
$(CXXCOMPILE
) -c
-o
$@
$<
539 @am__fastdepCXX_TRUE@
$(CXXCOMPILE
) -MT
$@
-MD
-MP
-MF
$(DEPDIR
)/$*.Tpo
-c
-o
$@
`$(CYGPATH_W) '$<'`
540 @am__fastdepCXX_TRUE@
$(am__mv
) $(DEPDIR
)/$*.Tpo
$(DEPDIR
)/$*.Po
541 @AMDEP_TRUE@@am__fastdepCXX_FALSE@ source
='$<' object
='$@' libtool
=no @AMDEPBACKSLASH@
542 @AMDEP_TRUE@@am__fastdepCXX_FALSE@ DEPDIR
=$(DEPDIR
) $(CXXDEPMODE
) $(depcomp
) @AMDEPBACKSLASH@
543 @am__fastdepCXX_FALSE@
$(CXXCOMPILE
) -c
-o
$@
`$(CYGPATH_W) '$<'`
546 @am__fastdepCXX_TRUE@
$(LTCXXCOMPILE
) -MT
$@
-MD
-MP
-MF
$(DEPDIR
)/$*.Tpo
-c
-o
$@
$<
547 @am__fastdepCXX_TRUE@
$(am__mv
) $(DEPDIR
)/$*.Tpo
$(DEPDIR
)/$*.Plo
548 @AMDEP_TRUE@@am__fastdepCXX_FALSE@ source
='$<' object
='$@' libtool
=yes @AMDEPBACKSLASH@
549 @AMDEP_TRUE@@am__fastdepCXX_FALSE@ DEPDIR
=$(DEPDIR
) $(CXXDEPMODE
) $(depcomp
) @AMDEPBACKSLASH@
550 @am__fastdepCXX_FALSE@
$(LTCXXCOMPILE
) -c
-o
$@
$<
559 -rm -f libtool config.lt
561 # GNU Make needs to see an explicit $(MAKE) variable in the command it
562 # runs to enable its job server during parallel builds. Hence the
565 $(MULTIDO
) $(AM_MAKEFLAGS
) DO
=all multi-do
# $(MAKE)
567 $(MULTIDO
) $(AM_MAKEFLAGS
) DO
=install multi-do
# $(MAKE)
570 $(MULTICLEAN
) $(AM_MAKEFLAGS
) DO
=mostlyclean multi-clean
# $(MAKE)
572 $(MULTICLEAN
) $(AM_MAKEFLAGS
) DO
=clean multi-clean
# $(MAKE)
574 $(MULTICLEAN
) $(AM_MAKEFLAGS
) DO
=distclean multi-clean
# $(MAKE)
575 maintainer-clean-multi
:
576 $(MULTICLEAN
) $(AM_MAKEFLAGS
) DO
=maintainer-clean multi-clean
# $(MAKE)
578 libitm.
dvi: libitm.texi
579 TEXINPUTS
="$(am__TEXINFO_TEX_DIR)$(PATH_SEPARATOR)$$TEXINPUTS" \
580 MAKEINFO
='$(MAKEINFO) $(AM_MAKEINFOFLAGS) $(MAKEINFOFLAGS) -I $(srcdir)' \
581 $(TEXI2DVI
) -o
$@
`test -f 'libitm.texi' || echo '$(srcdir)/'`libitm.texi
583 libitm.pdf
: libitm.texi
584 TEXINPUTS
="$(am__TEXINFO_TEX_DIR)$(PATH_SEPARATOR)$$TEXINPUTS" \
585 MAKEINFO
='$(MAKEINFO) $(AM_MAKEINFOFLAGS) $(MAKEINFOFLAGS) -I $(srcdir)' \
586 $(TEXI2PDF
) -o
$@
`test -f 'libitm.texi' || echo '$(srcdir)/'`libitm.texi
588 libitm.html
: libitm.texi
589 rm -rf
$(@
:.html
=.htp
)
590 if
$(MAKEINFOHTML
) $(AM_MAKEINFOHTMLFLAGS
) $(MAKEINFOFLAGS
) -I
$(srcdir) \
591 -o
$(@
:.html
=.htp
) `test -f 'libitm.texi' || echo '$(srcdir)/'`libitm.texi
; \
594 if
test ! -d
$(@
:.html
=.htp
) && test -d
$(@
:.html
=); then \
595 mv
$(@
:.html
=) $@
; else mv
$(@
:.html
=.htp
) $@
; fi
; \
597 if
test ! -d
$(@
:.html
=.htp
) && test -d
$(@
:.html
=); then \
598 rm -rf
$(@
:.html
=); else rm -Rf
$(@
:.html
=.htp
) $@
; fi
; \
602 TEXINPUTS
="$(am__TEXINFO_TEX_DIR)$(PATH_SEPARATOR)$$TEXINPUTS" \
607 @list
='$(DVIS)'; test -n
"$(dvidir)" || list
=; \
608 for p in
$$list; do \
610 echo
" rm -f '$(DESTDIR)$(dvidir)/$$f'"; \
611 rm -f
"$(DESTDIR)$(dvidir)/$$f"; \
616 @list
='$(HTMLS)'; test -n
"$(htmldir)" || list
=; \
617 for p in
$$list; do \
619 echo
" rm -rf '$(DESTDIR)$(htmldir)/$$f'"; \
620 rm -rf
"$(DESTDIR)$(htmldir)/$$f"; \
625 @if
test -d
'$(DESTDIR)$(infodir)' && $(am__can_run_installinfo
); then \
626 list
='$(INFO_DEPS)'; \
627 for file in
$$list; do \
628 relfile
=`echo "$$file" | sed 's|^.*/||'`; \
629 echo
" install-info --info-dir='$(DESTDIR)$(infodir)' --remove '$(DESTDIR)$(infodir)/$$relfile'"; \
630 if install-info
--info-dir
="$(DESTDIR)$(infodir)" --remove
"$(DESTDIR)$(infodir)/$$relfile"; \
631 then
:; else test ! -f
"$(DESTDIR)$(infodir)/$$relfile" || exit
1; fi
; \
635 @list
='$(INFO_DEPS)'; \
636 for file in
$$list; do \
637 relfile
=`echo "$$file" | sed 's|^.*/||'`; \
638 relfile_i
=`echo "$$relfile" | sed 's|\.info$$||;s|$$|.i|'`; \
639 (if
test -d
"$(DESTDIR)$(infodir)" && cd
"$(DESTDIR)$(infodir)"; then \
640 echo
" cd '$(DESTDIR)$(infodir)' && rm -f $$relfile $$relfile-[0-9] $$relfile-[0-9][0-9] $$relfile_i[0-9] $$relfile_i[0-9][0-9]"; \
641 rm -f
$$relfile $$relfile-[0-9] $$relfile-[0-9][0-9] $$relfile_i[0-9] $$relfile_i[0-9][0-9]; \
647 @list
='$(PDFS)'; test -n
"$(pdfdir)" || list
=; \
648 for p in
$$list; do \
650 echo
" rm -f '$(DESTDIR)$(pdfdir)/$$f'"; \
651 rm -f
"$(DESTDIR)$(pdfdir)/$$f"; \
656 @list
='$(PSS)'; test -n
"$(psdir)" || list
=; \
657 for p in
$$list; do \
659 echo
" rm -f '$(DESTDIR)$(psdir)/$$f'"; \
660 rm -f
"$(DESTDIR)$(psdir)/$$f"; \
663 dist-info
: $(INFO_DEPS
)
664 @srcdirstrip
=`echo "$(srcdir)" | sed 's|.|.|g'`; \
665 list
='$(INFO_DEPS)'; \
666 for base in
$$list; do \
668 $(srcdir)/*) base
=`echo "$$base" | sed "s|^$$srcdirstrip/||"`;; \
670 if
test -f
$$base; then d
=.
; else d
=$(srcdir); fi
; \
671 base_i
=`echo "$$base" | sed 's|\.info$$||;s|$$|.i|'`; \
672 for file in
$$d/$$base $$d/$$base-[0-9] $$d/$$base-[0-9][0-9] $$d/$$base_i[0-9] $$d/$$base_i[0-9][0-9]; do \
673 if
test -f
$$file; then \
674 relfile
=`expr "$$file" : "$$d/\(.*\)"`; \
675 test -f
"$(distdir)/$$relfile" || \
676 cp
-p
$$file "$(distdir)/$$relfile"; \
682 -rm -rf libitm.aux libitm.cp libitm.cps libitm.fn libitm.fns libitm.ky \
683 libitm.kys libitm.log libitm.pg libitm.pgs libitm.tmp \
684 libitm.toc libitm.tp libitm.tps libitm.vr libitm.vrs
687 -test -z
"libitm.dvi libitm.pdf libitm.ps libitm.html" \
688 ||
rm -rf libitm.
dvi libitm.pdf libitm.ps libitm.html
690 maintainer-clean-aminfo
:
691 @list
='$(INFO_DEPS)'; for i in
$$list; do \
692 i_i
=`echo "$$i" | sed 's|\.info$$||;s|$$|.i|'`; \
693 echo
" rm -f $$i $$i-[0-9] $$i-[0-9][0-9] $$i_i[0-9] $$i_i[0-9][0-9]"; \
694 rm -f
$$i $$i-[0-9] $$i-[0-9][0-9] $$i_i[0-9] $$i_i[0-9][0-9]; \
696 install-nodist_toolexeclibHEADERS
: $(nodist_toolexeclib_HEADERS
)
698 @list
='$(nodist_toolexeclib_HEADERS)'; test -n
"$(toolexeclibdir)" || list
=; \
699 if
test -n
"$$list"; then \
700 echo
" $(MKDIR_P) '$(DESTDIR)$(toolexeclibdir)'"; \
701 $(MKDIR_P
) "$(DESTDIR)$(toolexeclibdir)" || exit
1; \
703 for p in
$$list; do \
704 if
test -f
"$$p"; then d
=; else d
="$(srcdir)/"; fi
; \
706 done |
$(am__base_list
) | \
707 while read files
; do \
708 echo
" $(INSTALL_HEADER) $$files '$(DESTDIR)$(toolexeclibdir)'"; \
709 $(INSTALL_HEADER
) $$files "$(DESTDIR)$(toolexeclibdir)" || exit
$$?
; \
712 uninstall-nodist_toolexeclibHEADERS
:
714 @list
='$(nodist_toolexeclib_HEADERS)'; test -n
"$(toolexeclibdir)" || list
=; \
715 files
=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
716 dir='$(DESTDIR)$(toolexeclibdir)'; $(am__uninstall_files_from_dir
)
718 # This directory's subdirectories are mostly independent; you can cd
719 # into them and run `make' without going through this Makefile.
720 # To change the values of `make' variables: instead of editing Makefiles,
721 # (1) if the variable is set in `config.status', edit `config.status'
722 # (which will cause the Makefiles to be regenerated when you run `make');
723 # (2) otherwise, pass the desired values on the `make' command line.
724 $(RECURSIVE_TARGETS
):
725 @fail
= failcom
='exit 1'; \
726 for f in x
$$MAKEFLAGS; do \
729 *k
*) failcom
='fail=yes';; \
733 target
=`echo $@ | sed s/-recursive//`; \
734 list
='$(SUBDIRS)'; for subdir in
$$list; do \
735 echo
"Making $$target in $$subdir"; \
736 if
test "$$subdir" = "."; then \
738 local_target
="$$target-am"; \
740 local_target
="$$target"; \
742 ($(am__cd
) $$subdir && $(MAKE
) $(AM_MAKEFLAGS
) $$local_target) \
745 if
test "$$dot_seen" = "no"; then \
746 $(MAKE
) $(AM_MAKEFLAGS
) "$$target-am" || exit
1; \
749 $(RECURSIVE_CLEAN_TARGETS
):
750 @fail
= failcom
='exit 1'; \
751 for f in x
$$MAKEFLAGS; do \
754 *k
*) failcom
='fail=yes';; \
759 distclean-
* | maintainer-clean-
*) list
='$(DIST_SUBDIRS)' ;; \
760 *) list
='$(SUBDIRS)' ;; \
762 rev
=''; for subdir in
$$list; do \
763 if
test "$$subdir" = "."; then
:; else \
764 rev
="$$subdir $$rev"; \
768 target
=`echo $@ | sed s/-recursive//`; \
769 for subdir in
$$rev; do \
770 echo
"Making $$target in $$subdir"; \
771 if
test "$$subdir" = "."; then \
772 local_target
="$$target-am"; \
774 local_target
="$$target"; \
776 ($(am__cd
) $$subdir && $(MAKE
) $(AM_MAKEFLAGS
) $$local_target) \
778 done
&& test -z
"$$fail"
780 list
='$(SUBDIRS)'; for subdir in
$$list; do \
781 test "$$subdir" = . ||
($(am__cd
) $$subdir && $(MAKE
) $(AM_MAKEFLAGS
) tags); \
784 list
='$(SUBDIRS)'; for subdir in
$$list; do \
785 test "$$subdir" = . ||
($(am__cd
) $$subdir && $(MAKE
) $(AM_MAKEFLAGS
) ctags
); \
788 ID
: $(HEADERS
) $(SOURCES
) $(LISP
) $(TAGS_FILES
)
789 list
='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
790 unique
=`for i in $$list; do \
791 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
793 $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
794 END { if (nonempty) { for (i in files) print i; }; }'`; \
798 TAGS
: tags-recursive
$(HEADERS
) $(SOURCES
) config.h.in
$(TAGS_DEPENDENCIES
) \
799 $(TAGS_FILES
) $(LISP
)
802 if
($(ETAGS
) --etags-include
--version
) >/dev
/null
2>&1; then \
803 include_option
=--etags-include
; \
806 include_option
=--include; \
809 list
='$(SUBDIRS)'; for subdir in
$$list; do \
810 if
test "$$subdir" = .
; then
:; else \
811 test ! -f
$$subdir/TAGS || \
812 set
"$$@" "$$include_option=$$here/$$subdir/TAGS"; \
815 list
='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
816 unique
=`for i in $$list; do \
817 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
819 $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
820 END { if (nonempty) { for (i in files) print i; }; }'`; \
822 if
test -z
"$(ETAGS_ARGS)$$*$$unique"; then
:; else \
823 test -n
"$$unique" || unique
=$$empty_fix; \
824 if
test $$# -gt 0; then \
825 $(ETAGS
) $(ETAGSFLAGS
) $(AM_ETAGSFLAGS
) $(ETAGS_ARGS
) \
828 $(ETAGS
) $(ETAGSFLAGS
) $(AM_ETAGSFLAGS
) $(ETAGS_ARGS
) \
833 CTAGS
: ctags-recursive
$(HEADERS
) $(SOURCES
) config.h.in
$(TAGS_DEPENDENCIES
) \
834 $(TAGS_FILES
) $(LISP
)
835 list
='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
836 unique
=`for i in $$list; do \
837 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
839 $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
840 END { if (nonempty) { for (i in files) print i; }; }'`; \
841 test -z
"$(CTAGS_ARGS)$$unique" \
842 ||
$(CTAGS
) $(CTAGSFLAGS
) $(AM_CTAGSFLAGS
) $(CTAGS_ARGS
) \
846 here
=`$(am__cd) $(top_builddir) && pwd` \
847 && $(am__cd
) $(top_srcdir
) \
848 && gtags
-i
$(GTAGS_ARGS
) "$$here"
851 -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH
tags
853 check: check-recursive
854 all-am
: Makefile
$(INFO_DEPS
) $(LTLIBRARIES
) all-multi
$(HEADERS
) \
856 installdirs: installdirs-recursive
858 for
dir in
"$(DESTDIR)$(toolexeclibdir)" "$(DESTDIR)$(infodir)" "$(DESTDIR)$(toolexeclibdir)"; do \
859 test -z
"$$dir" ||
$(MKDIR_P
) "$$dir"; \
861 install: install-recursive
862 install-exec
: install-exec-recursive
863 install-data
: install-data-recursive
864 uninstall: uninstall-recursive
867 @
$(MAKE
) $(AM_MAKEFLAGS
) install-exec-am install-data-am
869 installcheck: installcheck-recursive
871 if
test -z
'$(STRIP)'; then \
872 $(MAKE
) $(AM_MAKEFLAGS
) INSTALL_PROGRAM
="$(INSTALL_STRIP_PROGRAM)" \
873 install_sh_PROGRAM
="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG
=-s \
876 $(MAKE
) $(AM_MAKEFLAGS
) INSTALL_PROGRAM
="$(INSTALL_STRIP_PROGRAM)" \
877 install_sh_PROGRAM
="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG
=-s \
878 "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
883 -test -z
"$(CLEANFILES)" ||
rm -f
$(CLEANFILES
)
886 -test -z
"$(CONFIG_CLEAN_FILES)" ||
rm -f
$(CONFIG_CLEAN_FILES
)
887 -test .
= "$(srcdir)" ||
test -z
"$(CONFIG_CLEAN_VPATH_FILES)" ||
rm -f
$(CONFIG_CLEAN_VPATH_FILES
)
889 maintainer-clean-generic
:
890 @echo
"This command is intended for maintainers to use"
891 @echo
"it deletes files that may require special tools to rebuild."
892 -test -z
"$(MAINTAINERCLEANFILES)" ||
rm -f
$(MAINTAINERCLEANFILES
)
893 clean: clean-multi clean-recursive
895 clean-am
: clean-aminfo clean-generic clean-libtool \
896 clean-toolexeclibLTLIBRARIES mostlyclean-am
898 distclean: distclean-multi distclean-recursive
899 -rm -f
$(am__CONFIG_DISTCLEAN_FILES
)
902 distclean-am
: clean-am distclean-compile distclean-generic \
903 distclean-hdr distclean-libtool distclean-tags
915 info-am
: $(INFO_DEPS
)
917 install-data-am
: install-info-am
919 install-dvi
: install-dvi-recursive
921 install-dvi-am
: $(DVIS
)
923 @list
='$(DVIS)'; test -n
"$(dvidir)" || list
=; \
924 if
test -n
"$$list"; then \
925 echo
" $(MKDIR_P) '$(DESTDIR)$(dvidir)'"; \
926 $(MKDIR_P
) "$(DESTDIR)$(dvidir)" || exit
1; \
928 for p in
$$list; do \
929 if
test -f
"$$p"; then d
=; else d
="$(srcdir)/"; fi
; \
931 done |
$(am__base_list
) | \
932 while read files
; do \
933 echo
" $(INSTALL_DATA) $$files '$(DESTDIR)$(dvidir)'"; \
934 $(INSTALL_DATA
) $$files "$(DESTDIR)$(dvidir)" || exit
$$?
; \
936 install-exec-am
: install-multi install-nodist_toolexeclibHEADERS \
937 install-toolexeclibLTLIBRARIES
939 install-html
: install-html-recursive
941 install-html-am
: $(HTMLS
)
943 @list
='$(HTMLS)'; list2
=; test -n
"$(htmldir)" || list
=; \
944 if
test -n
"$$list"; then \
945 echo
" $(MKDIR_P) '$(DESTDIR)$(htmldir)'"; \
946 $(MKDIR_P
) "$(DESTDIR)$(htmldir)" || exit
1; \
948 for p in
$$list; do \
949 if
test -f
"$$p" ||
test -d
"$$p"; then d
=; else d
="$(srcdir)/"; fi
; \
952 if
test -d
"$$d2"; then \
953 echo
" $(MKDIR_P) '$(DESTDIR)$(htmldir)/$$f'"; \
954 $(MKDIR_P
) "$(DESTDIR)$(htmldir)/$$f" || exit
1; \
955 echo
" $(INSTALL_DATA) '$$d2'/* '$(DESTDIR)$(htmldir)/$$f'"; \
956 $(INSTALL_DATA
) "$$d2"/* "$(DESTDIR)$(htmldir)/$$f" || exit
$$?
; \
958 list2
="$$list2 $$d2"; \
961 test -z
"$$list2" ||
{ echo
"$$list2" |
$(am__base_list
) | \
962 while read files
; do \
963 echo
" $(INSTALL_DATA) $$files '$(DESTDIR)$(htmldir)'"; \
964 $(INSTALL_DATA
) $$files "$(DESTDIR)$(htmldir)" || exit
$$?
; \
966 install-info
: install-info-recursive
968 install-info-am
: $(INFO_DEPS
)
970 @srcdirstrip
=`echo "$(srcdir)" | sed 's|.|.|g'`; \
971 list
='$(INFO_DEPS)'; test -n
"$(infodir)" || list
=; \
972 if
test -n
"$$list"; then \
973 echo
" $(MKDIR_P) '$(DESTDIR)$(infodir)'"; \
974 $(MKDIR_P
) "$(DESTDIR)$(infodir)" || exit
1; \
976 for file in
$$list; do \
978 $(srcdir)/*) file
=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
980 if
test -f
$$file; then d
=.
; else d
=$(srcdir); fi
; \
981 file_i
=`echo "$$file" | sed 's|\.info$$||;s|$$|.i|'`; \
982 for ifile in
$$d/$$file $$d/$$file-[0-9] $$d/$$file-[0-9][0-9] \
983 $$d/$$file_i[0-9] $$d/$$file_i[0-9][0-9] ; do \
984 if
test -f
$$ifile; then \
988 done |
$(am__base_list
) | \
989 while read files
; do \
990 echo
" $(INSTALL_DATA) $$files '$(DESTDIR)$(infodir)'"; \
991 $(INSTALL_DATA
) $$files "$(DESTDIR)$(infodir)" || exit
$$?
; done
993 @if
$(am__can_run_installinfo
); then \
994 list
='$(INFO_DEPS)'; test -n
"$(infodir)" || list
=; \
995 for file in
$$list; do \
996 relfile
=`echo "$$file" | sed 's|^.*/||'`; \
997 echo
" install-info --info-dir='$(DESTDIR)$(infodir)' '$(DESTDIR)$(infodir)/$$relfile'";\
998 install-info
--info-dir
="$(DESTDIR)$(infodir)" "$(DESTDIR)$(infodir)/$$relfile" ||
:;\
1003 install-pdf
: install-pdf-recursive
1005 install-pdf-am
: $(PDFS
)
1007 @list
='$(PDFS)'; test -n
"$(pdfdir)" || list
=; \
1008 if
test -n
"$$list"; then \
1009 echo
" $(MKDIR_P) '$(DESTDIR)$(pdfdir)'"; \
1010 $(MKDIR_P
) "$(DESTDIR)$(pdfdir)" || exit
1; \
1012 for p in
$$list; do \
1013 if
test -f
"$$p"; then d
=; else d
="$(srcdir)/"; fi
; \
1015 done |
$(am__base_list
) | \
1016 while read files
; do \
1017 echo
" $(INSTALL_DATA) $$files '$(DESTDIR)$(pdfdir)'"; \
1018 $(INSTALL_DATA
) $$files "$(DESTDIR)$(pdfdir)" || exit
$$?
; done
1019 install-ps
: install-ps-recursive
1021 install-ps-am
: $(PSS
)
1023 @list
='$(PSS)'; test -n
"$(psdir)" || list
=; \
1024 if
test -n
"$$list"; then \
1025 echo
" $(MKDIR_P) '$(DESTDIR)$(psdir)'"; \
1026 $(MKDIR_P
) "$(DESTDIR)$(psdir)" || exit
1; \
1028 for p in
$$list; do \
1029 if
test -f
"$$p"; then d
=; else d
="$(srcdir)/"; fi
; \
1031 done |
$(am__base_list
) | \
1032 while read files
; do \
1033 echo
" $(INSTALL_DATA) $$files '$(DESTDIR)$(psdir)'"; \
1034 $(INSTALL_DATA
) $$files "$(DESTDIR)$(psdir)" || exit
$$?
; done
1037 maintainer-clean
: maintainer-clean-multi maintainer-clean-recursive
1038 -rm -f
$(am__CONFIG_DISTCLEAN_FILES
)
1039 -rm -rf
$(top_srcdir
)/autom4te.cache
1042 maintainer-clean-am
: distclean-am maintainer-clean-aminfo \
1043 maintainer-clean-generic
1045 mostlyclean: mostlyclean-multi mostlyclean-recursive
1047 mostlyclean-am
: mostlyclean-aminfo mostlyclean-compile \
1048 mostlyclean-generic mostlyclean-libtool
1058 uninstall-am
: uninstall-dvi-am uninstall-html-am uninstall-info-am \
1059 uninstall-nodist_toolexeclibHEADERS uninstall-pdf-am \
1060 uninstall-ps-am uninstall-toolexeclibLTLIBRARIES
1062 .MAKE
: $(RECURSIVE_CLEAN_TARGETS
) $(RECURSIVE_TARGETS
) all all-multi \
1063 clean-multi ctags-recursive distclean-multi install-am \
1064 install-multi install-strip maintainer-clean-multi \
1065 mostlyclean-multi tags-recursive
1067 .PHONY
: $(RECURSIVE_CLEAN_TARGETS
) $(RECURSIVE_TARGETS
) CTAGS GTAGS \
1068 all all-am all-local all-multi am--refresh
check check-am \
1069 clean clean-aminfo clean-generic clean-libtool clean-multi \
1070 clean-toolexeclibLTLIBRARIES ctags ctags-recursive dist-info \
1071 distclean distclean-compile distclean-generic distclean-hdr \
1072 distclean-libtool distclean-multi distclean-tags
dvi dvi-am \
1073 html html-am
info info-am
install install-am install-data \
1074 install-data-am install-dvi install-dvi-am install-exec \
1075 install-exec-am install-html install-html-am install-info \
1076 install-info-am install-man install-multi \
1077 install-nodist_toolexeclibHEADERS install-pdf install-pdf-am \
1078 install-ps install-ps-am install-strip \
1079 install-toolexeclibLTLIBRARIES
installcheck installcheck-am \
1080 installdirs installdirs-am maintainer-clean \
1081 maintainer-clean-aminfo maintainer-clean-generic \
1082 maintainer-clean-multi
mostlyclean mostlyclean-aminfo \
1083 mostlyclean-compile mostlyclean-generic mostlyclean-libtool \
1084 mostlyclean-multi pdf pdf-am ps ps-am
tags tags-recursive \
1085 uninstall uninstall-am uninstall-dvi-am uninstall-html-am \
1086 uninstall-info-am uninstall-nodist_toolexeclibHEADERS \
1087 uninstall-pdf-am uninstall-ps-am \
1088 uninstall-toolexeclibLTLIBRARIES
1091 vpath
% $(strip $(search_path
))
1092 @LIBITM_BUILD_VERSIONED_SHLIB_SUN_TRUE@@LIBITM_BUILD_VERSIONED_SHLIB_TRUE@libitm.map-sun
: $(top_srcdir
)/libitm.map \
1093 @LIBITM_BUILD_VERSIONED_SHLIB_SUN_TRUE@@LIBITM_BUILD_VERSIONED_SHLIB_TRUE@
$(top_srcdir
)/..
/contrib
/make_sunver.pl \
1094 @LIBITM_BUILD_VERSIONED_SHLIB_SUN_TRUE@@LIBITM_BUILD_VERSIONED_SHLIB_TRUE@
$(libitm_la_OBJECTS
) $(libitm_la_LIBADD
)
1095 @LIBITM_BUILD_VERSIONED_SHLIB_SUN_TRUE@@LIBITM_BUILD_VERSIONED_SHLIB_TRUE@ perl
$(top_srcdir
)/..
/contrib
/make_sunver.pl \
1096 @LIBITM_BUILD_VERSIONED_SHLIB_SUN_TRUE@@LIBITM_BUILD_VERSIONED_SHLIB_TRUE@
$(top_srcdir
)/libitm.map \
1097 @LIBITM_BUILD_VERSIONED_SHLIB_SUN_TRUE@@LIBITM_BUILD_VERSIONED_SHLIB_TRUE@
$(libitm_la_OBJECTS
:%.lo
=.libs
/%.o
) \
1098 @LIBITM_BUILD_VERSIONED_SHLIB_SUN_TRUE@@LIBITM_BUILD_VERSIONED_SHLIB_TRUE@
`echo $(libitm_la_LIBADD) | \
1099 @LIBITM_BUILD_VERSIONED_SHLIB_SUN_TRUE@@LIBITM_BUILD_VERSIONED_SHLIB_TRUE@ sed 's,/\([^/.]*\)\.la,/.libs/\1.a,g'` \
1100 @LIBITM_BUILD_VERSIONED_SHLIB_SUN_TRUE@@LIBITM_BUILD_VERSIONED_SHLIB_TRUE@
> $@ ||
(rm -f
$@
; exit
1)
1101 # Make sure -msse is appended at the end.
1102 @ARCH_X86_TRUE@x86_sse.lo
: override CXXFLAGS
+= -msse
1103 # Make sure -mavx is appended at the end.
1104 @ARCH_X86_AVX_TRUE@x86_avx.lo
: override CXXFLAGS
+= -mavx
1106 all-local
: $(STAMP_GENINSRC
)
1108 stamp-geninsrc
: libitm.
info
1109 cp
-p
$(top_builddir
)/libitm.
info $(srcdir)/libitm.
info
1112 libitm.
info: $(STAMP_BUILD_INFO
)
1114 stamp-build-info
: libitm.texi
1115 $(MAKEINFO
) $(AM_MAKEINFOFLAGS
) $(MAKEINFOFLAGS
) -I
$(srcdir) -o libitm.
info $(srcdir)/libitm.texi
1118 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1119 # Otherwise a system limit (for SysV at least) may be exceeded.